Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.jsf
Class SeamViewHandler

    java.lang.Object
      javax.faces.application.ViewHandler
          org.jboss.seam.jsf.SeamViewHandler

    public class SeamViewHandler

extends javax.faces.application.ViewHandler

Allows the JSF view locale to be integrated with the locale coming from Seam internationalization.

Author:
  Gavin King
See Also:
  `LocaleSelector`

Field Summary

Fields inherited from class javax.faces.application.ViewHandler
`CHARACTER_ENCODING_KEY, DEFAULT_SUFFIX, DEFAULT_SUFFIX_PARAM_NAME`

Constructor Summary
`SeamViewHandler(javax.faces.application.ViewHandler viewHandler)`

Method Summary
`String` | `calculateCharacterEncoding(javax.faces.context.FacesContext context)`
`Locale` | `calculateLocale(javax.faces.context.FacesContext facesContext)`
`String` | `calculateRenderKitId(javax.faces.context.FacesContext ctx)`
`javax.faces.component.UIViewRoot` | `createView(javax.faces.context.FacesContext ctx, String viewId)`
`String` | `getActionURL(javax.faces.context.FacesContext ctx, String viewId)`
`String` | `getResourceURL(javax.faces.context.FacesContext ctx, String path)`
`void` | `initView(javax.faces.context.FacesContext context)`
`void` | `renderView(javax.faces.context.FacesContext ctx, javax.faces.component.UIViewRoot viewRoot)`
`javax.faces.component.UIViewRoot` | `restoreView(javax.faces.context.FacesContext ctx, String viewId)`
`void` | `writeState(javax.faces.context.FacesContext ctx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SeamViewHandler

    public SeamViewHandler(javax.faces.application.ViewHandler viewHandler)

Method Detail

### calculateCharacterEncoding

    public String calculateCharacterEncoding(javax.faces.context.FacesContext context)

  Overrides:
    `calculateCharacterEncoding` in class `javax.faces.application.ViewHandler`

### initView

    public void initView(javax.faces.context.FacesContext context)
                  throws javax.faces.FacesException

  Overrides:
    `initView` in class `javax.faces.application.ViewHandler`
  Throws:
    `javax.faces.FacesException`

### calculateLocale

    public Locale calculateLocale(javax.faces.context.FacesContext facesContext)

  Specified by:
    `calculateLocale` in class `javax.faces.application.ViewHandler`

### calculateRenderKitId

    public String calculateRenderKitId(javax.faces.context.FacesContext ctx)

  Specified by:
    `calculateRenderKitId` in class `javax.faces.application.ViewHandler`

### createView

    public javax.faces.component.UIViewRoot createView(javax.faces.context.FacesContext ctx,
                                                       String viewId)

  Specified by:
    `createView` in class `javax.faces.application.ViewHandler`

### getActionURL

    public String getActionURL(javax.faces.context.FacesContext ctx,
                               String viewId)

  Specified by:
    `getActionURL` in class `javax.faces.application.ViewHandler`

### getResourceURL

    public String getResourceURL(javax.faces.context.FacesContext ctx,
                                 String path)

  Specified by:
    `getResourceURL` in class `javax.faces.application.ViewHandler`

### renderView

    public void renderView(javax.faces.context.FacesContext ctx,
                           javax.faces.component.UIViewRoot viewRoot)
                    throws IOException,
                           javax.faces.FacesException

  Specified by:
    `renderView` in class `javax.faces.application.ViewHandler`
  Throws:
    `IOException`
    `javax.faces.FacesException`

### restoreView

    public javax.faces.component.UIViewRoot restoreView(javax.faces.context.FacesContext ctx,
                                                        String viewId)

  Specified by:
    `restoreView` in class `javax.faces.application.ViewHandler`

### writeState

    public void writeState(javax.faces.context.FacesContext ctx)
                    throws IOException

  Specified by:
    `writeState` in class `javax.faces.application.ViewHandler`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD